ServerEvents.recipes(event => {
    const shaped = event.recipes.minecraft.crafting_shaped
    const shapeless = event.shapeless

    event.remove({id: 'minecraft:amethyst_block'})
    event.remove({id: 'create:splashing/gravel'})
    event.remove({id: 'chunkbychunk:worldforge'})
    event.remove({id: 'chunkbychunk:worldmender'})
    event.remove({id: 'chunkbychunk:chunkspawner'})
    event.remove({id: 'chunkbychunk:unstablechunkspawner'})
    event.remove({id: 'chunkbychunk:plainschunkspawner'})
    event.remove({id: 'chunkbychunk:snowchunkspawner'})
    event.remove({id: 'chunkbychunk:desertchunkspawner'})
    event.remove({id: 'chunkbychunk:swampchunkspawner'})
    event.remove({id: 'chunkbychunk:mushroomchunkspawner'})
    event.remove({id: 'chunkbychunk:badlandschunkspawner'})
    event.remove({id: 'chunkbychunk:forestchunkspawner'})
    event.remove({id: 'chunkbychunk:savannachunkspawner'})
    event.remove({id: 'chunkbychunk:rockychunkspawner'})
    event.remove({id: 'chunkbychunk:junglechunkspawner'})
    event.remove({id: 'chunkbychunk:mountainchunkspawner'})

    event.remove({id: 'create_ironworks:tools/hammer/copper'})
    event.remove({id: 'create_ironworks:tools/hammer/diamond'})
    event.remove({id: 'create_ironworks:tools/hammer/gold'})
    event.remove({id: 'create_ironworks:tools/hammer/iron'})
    event.remove({id: 'create_ironworks:tools/hammer/brass'})
    event.remove({id: 'create_ironworks:tools/hammer/steel'})
    event.remove({id: 'create_ironworks:misc/steel/block'})



    event.remove({output: 'experienceobelisk:cognitive_flux'})



    event.remove({ output: /sophisticatedstorage:\w+_chest/ })
    event.remove({ output: /sophisticatedstorage:\w+chest/ })
    event.remove({ output: /sophisticatedstorage:chest\w+/ })
    event.remove({ output: /sophisticatedstorage:chest/ })

    event.remove({ output: /sophisticatedstorage:basic\w+tier_upgrade/ })



    shaped(Item.of('minecraft:amethyst_block'), [`SSS`, `SSS`, `SSS`], {
        S: 'minecraft:amethyst_shard'
    })

    shaped(Item.of('minecraft:budding_amethyst'), [`SSS`, `SSS`, `SSS`], {
        S: 'minecraft:amethyst_block'
    })

    shaped(Item.of('create_ironworks:copper_hammer'), [`BBB`, `BSB`, ` S `], {
        B: 'minecraft:copper_block',
        S: 'minecraft:stick'
    })

    shaped(Item.of('create_ironworks:diamond_hammer'), [`BBB`, `BSB`, ` S `], {
        B: 'minecraft:diamond_block',
        S: 'minecraft:stick'
    })

    shaped(Item.of('create_ironworks:gold_hammer'), [`BBB`, `BSB`, ` S `], {
        B: 'minecraft:gold_block',
        S: 'minecraft:stick'
    })

    shaped(Item.of('create_ironworks:brass_hammer'), [`BBB`, `BSB`, ` S `], {
        B: 'create:brass_block',
        S: 'minecraft:stick'
    })

    shaped(Item.of('create_ironworks:iron_hammer'), [`BBB`, `BSB`, ` S `], {
        B: 'minecraft:iron_block',
        S: 'minecraft:stick'
    })

    shaped(Item.of('create_ironworks:steel_hammer'), [`BBB`, `BSB`, ` S `], {
        B: 'create_ironworks:steel_block',
        S: 'minecraft:stick'
    })

    shaped(Item.of('minecraft:soul_sand'), ["BB ", "SS "], {
        S: '#minecraft:smelts_to_glass',
        B: 'minecraft:bone'
    })

    shaped(Item.of('minecraft:oak_sapling'), ["E  ", "E  "], {
        E: 'minecraft:dirt'
    })

    shaped(Item.of('minecraft:oak_sapling'), ["E  ", "E  "], {
        E: 'minecraft:sand'
    })

    shaped(Item.of('minecraft:oak_sapling'), ["E  ", "E  "], {
        E: 'minecraft:gravel'
    })



    shaped(Item.of('minecraft:coal'), ['EE ', 'EE '], {
        E: 'tfmg:lignite'
    })

    shaped(Item.of('minecraft:raw_iron'), ['EE ', 'EE '], {
        E: 'create:crimsite'
    })

    shaped(Item.of('minecraft:raw_gold'), ['EE ', 'EE '], {
        E: 'create:ochrum'
    })

    shaped(Item.of('minecraft:raw_copper'), ['EE ', 'EE '], {
        E: 'create:veridium'
    })

    shaped(Item.of('create:raw_zinc'), ['EE ', 'EE '], {
        E: 'create:asurine'
    })

    shaped(Item.of('tfmg:raw_lead'), ['EE ', 'EE '], {
        E: 'create:scoria'
    })

    shaped(Item.of('tfmg:raw_lead'), ['EE ', 'EE '], {
        E: 'create:scorchia'
    })

    shaped(Item.of('tfmg:raw_lithium'), ['EE ', 'EE '], {
        E: 'create:limestone'
    })

    shaped(Item.of('tfmg:raw_nickel'), ['EE ', 'EE '], {
        E: 'tfmg:galena'
    })

    shaped(Item.of('tfmg:raw_nickel'), ['EE ', 'EE '], {
        E: 'tfmg:bauxite'
    })



    shaped(Item.of('chunkbychunk:worldforge'), ["EE ", "EE "], {
        E: 'minecraft:dirt'
    })

    shaped(Item.of('chunkbychunk:worldforge'), ["EE ", "EE "], {
        E: 'minecraft:sand'
    })

    shaped(Item.of('chunkbychunk:worldforge'), ["EE ", "EE "], {
        E: 'minecraft:gravel'
    })

    shaped(Item.of('chunkbychunk:worldmender'), [" D ", "DFD", " D "], {
        F: 'chunkbychunk:worldforge',
        D: 'minecraft:dispenser'
    })

    shaped(Item.of('chunkbychunk:chunkspawner'), [" I ", "IWI", " I "], {
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:unstablechunkspawner'), ["RIR", "IWI", "RIR"], {
        I: 'minecraft:diamond',
        R: 'minecraft:redstone_block',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:plainschunkspawner'), ["GIG", "IWI", "DID"], {
        G: 'minecraft:grass_block',
        D: 'minecraft:dirt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:snowchunkspawner'), ["GIG", "IWI", "DID"], {
        G: 'minecraft:snow_block',
        D: 'minecraft:ice',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:desertchunkspawner'), ["GIG", "IWI", "DID"], {
        G: 'minecraft:dead_bush',
        D: 'minecraft:sand',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:swampchunkspawner'), ["AIA", "IWI", "BIB"], {
        A: 'minecraft:lily_pad',
        B: 'minecraft:water_bucket',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:mushroomchunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:mushrooms',
        B: 'minecraft:mycelium',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:badlandschunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:badlands_saplings',
        B: 'minecraft:terracotta',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:forestchunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:forest_saplings',
        B: 'minecraft:dirt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:savannachunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:badlands_saplings',
        B: 'minecraft:dirt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:rockychunkspawner'), ["AIA", "IWI", "AIA"], {
        A: 'minecraft:smooth_basalt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:rockychunkspawner'), ["AIA", "IWI", "AIA"], {
        A: 'minecraft:blackstone',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:junglechunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:jungle_saplings',
        B: 'minecraft:dirt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:mountainchunkspawner'), ["AIA", "IWI", "BIB"], {
        A: 'minecraft:diamond_block',
        B: 'minecraft:smooth_basalt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })



    shaped(Item.of('experienceobelisk:cognitive_flux'), ["SQ ", "L  "], {
        S: 'minecraft:soul_sand',
        Q: 'minecraft:quartz',
        L: 'minecraft:lapis_lazuli'
    })



    // Create

    shaped(Item.of('create:blaze_burner'), [" M ", "MEM", "BBB"], {
        M: 'minecraft:magma_block',
        E: 'create:empty_blaze_burner',
        B: 'minecraft:smooth_basalt'
    })

})

